// @todo these should be their own CSS files and only included when
// specific Drupal libraries are used.
@import "component/alert";
@import "component/ajax";
@import "component/field";
@import "component/file";
@import "component/filter";
@import "component/form";
@import "component/icon";
@import "component/navbar";
@import "component/node";
@import "component/panel";
@import "component/progress-bar";
@import "component/table-drag";
@import "component/tabs";
@import "component/toolbar";

// jQuery UI style overrides.
@import "jquery-ui/autocomplete";

ol, ul {
  padding-left: 1.5em;
  .popover &:last-child {
    margin-bottom: 0;
  }
}

// Page header.
.page-header {
  margin-top: 0;
}

// Footer.
.footer {
  margin-top: 45px;
  padding-top: 35px;
  padding-bottom: 36px;
  border-top: 1px solid #E5E5E5;
}

// Paragraphs.
p:last-child,
.form-group:last-child,
.panel:last-child {
  margin-bottom: 0;
}

// Help region.
.region-help {
  > .glyphicon {
    font-size: $font-size-large;
    float: left;
    margin: -0.05em 0.5em 0 0;
  }
  .block {
    overflow: hidden;
  }
}


.help-block, .control-group .help-inline {
  color: $gray-light;
  font-size: 12px;
  margin: 5px 0 10px;
  padding: 0;
  &:first-child {
    margin-top: 0;
  }
}


.field--type-image:not(.field--name-field-c__logo) {
  overflow: hidden;

  a {
    .img-responsive {
      transition: transform 300ms ease;

      &:hover {
        transform: scale(1.05);
      }
    }
  }
}